> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindfort.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check SMS Code

> Read the latest inbound SMS and return its one-time code when present.



## OpenAPI

````yaml /openapi.json post /v1/targets/{target_id}/credentials/{credential_id}/check-sms
openapi: 3.1.0
info:
  title: MindFort API
  version: 1.0.0
  description: >-
    The MindFort Public API supports targets, assessments, finding lifecycle and
    analytics, and reports. Public responses use positive field allowlists and
    call informational non-vulnerable results `secured`.
servers:
  - url: https://api.mindfort.app
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/targets/{target_id}/credentials/{credential_id}/check-sms:
    post:
      tags:
        - Credentials
      summary: Check SMS Code
      description: Read the latest inbound SMS and return its one-time code when present.
      operationId: checkSMSCode
      parameters:
        - name: target_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: credential_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Latest SMS checked
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicSMSCode'
components:
  schemas:
    PublicSMSCode:
      type: object
      required:
        - credential_id
        - success
        - message
      properties:
        credential_id:
          type: string
          format: uuid
        success:
          type: boolean
        code:
          type:
            - string
            - 'null'
          description: One-time code from the latest inbound SMS.
        message_time:
          type:
            - string
            - 'null'
          format: date-time
        message:
          type: string
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key generated from the MindFort dashboard. Pass as `Authorization:
        Bearer <your-api-key>`.

````